Partner

Healthcheck GET

Returns simple answer {"status":"OK"}.

Endpoint

GET https://switchere.com/api/v3/partner/healthcheck

Response

{
  status: "OK"
}
NameTypeDescription
statusstringSystem status.

Currencies GET

Return data about partner currencies.

Endpoint

GET https://switchere.com/api/v3/partner/currency

Response

[
  {
    "code": "AAVE",
    "currency": "AAVE",
    "is_crypto": true,
    "name": "Aave",
    "network": "ETH",
    "network_full": "Ethereum (ERC20)",
    "token": "ERC20"
  },
  {
    "code": "AUD",
    "currency": "AUD",
    "is_crypto": false,
    "name": "Australian dollar"
  },
  {
    "code": "AXS",
    "currency": "AXS",
    "is_crypto": true,
    "name": "Axie Infinity",
    "network": "ETH",
    "network_full": "Ethereum (ERC20)",
    "token": "ERC20"
  },
  {
    "code": "BNBBSC",
    "currency": "BNB",
    "is_crypto": true,
    "name": "Binance Coin",
    "network": "BSC",
    "network_full": "Binance Smart Chain (BEP20)",
    "token": "BSC"
  },
  ...
]
NameTypeDescription
codestringCurrency code.
currencystringCurrency name.
is_cryptobooleanFiat or Crypto.
namestringCurrency full name.
networkstringNetwork code. Only for crypto.
network_full_namestringNetwork full name. Only for crypto.
tokenstringNetwork token code. Only for crypto.

Payment channels GET

Return data about partner available channels.

Endpoint

GET https://switchere.com/api/v3/partner/channel/{modeName}

Parameters

NameTypeDescription
modeName requiredmodePayment mode.

Tip: Field parameters info

Response

{
  "in": [
    {
      "channel": "astropay",
      "info": "AstroPay",
      "list": [
        {
          "code": "USD",
          "currency": "USD",
          "is_crypto": false,
          "name": "US Dollar"
        },
        ...
        {
          "code": "ZAR",
          "currency": "ZAR",
          "is_crypto": false,
          "name": "South African rand"
        }
      ],
      "title": "AstroPay"
    },
    {
      "channel": "card",
      "info": "USD, EUR",
      "list": [
        {
          "code": "EUR",
          "currency": "EUR",
          "is_crypto": false,
          "name": "Euro"
        },
        ...
        {
          "code": "ZAR",
          "currency": "ZAR",
          "is_crypto": false,
          "name": "South African rand"
        }
      ],
      "title": "Credit/Debit Card"
    },
    ...
  ],
  "out": [
    {
      "channel": "crypto",
      "info": "BTC, ETH, LTC and more",
      "list": [
        {
          "code": "BTC",
          "currency": "BTC",
          "is_crypto": true,
          "name": "Bitcoin",
          "network_full_name": "Bitcoin"
        },
        ...
        {
          "code": "YFI",
          "currency": "YFI",
          "is_crypto": true,
          "name": "Yearn Finance",
          "network": "ETH",
          "network_full_name": "Ethereum (ERC20)",
          "token": "ERC20"
        }
      ],
      "title": "Crypto"
    }
  ]
}
NameTypeDescription
channelchannelPayment channel.
infostringInfo about channel.
listarrayArray objects contain: code, currency, is_crypto and name for all currencies. And additional network, network_full_name and token for crypto.
titlestringTitle for channel.

Tip: Field parameters info

  • channel
  • code - currency code
  • currency - currency name
  • is_crypto - fiat or crypto
  • name - currency full name
  • network - network code
  • network_full_name - network full name
  • token - network token code

Request create POST

Create a request with a set of parameters.

Endpoint

POST https://switchere.com/api/v3/partner/create_request

Parameters

NameTypeDescription
partner_order_idstringUnique partner id for the order, 64 characters [A-Za-z0-9-_] - you should make it up yourself - it should be UNIQ.
modemodePayment mode.
channelchannelPayment channel. User cannot change value in the widget.
channel_defaultchannelPayment channel. User can change value in the widget.
payin_amountstringPayin amount. User cannot change value in the widget.
payin_amount_defaultstringPayin amount. User can change value in the widget.
payin_currencycurrencyPayin currency. channel or channel_default is required. User cannot change value in the widget.
payin_currency_defaultcurrencyPayin currency. channel or channel_default is required. User can change value in the widget.
payout_currencycurrencyPayout currency. channel or channel_default is required. User cannot change value in the widget.
payout_currency_default`currencyPayout currency. channel or channel_default is required. User can change value in the widget.
dst_addressstringWallet address. Must be used together with payout_currency. You should use address from testnet with sandbox. User cannot change value in the widget.
client_ipstringClient ip.
http_return_failedstringRedirect URL for failed order.
http_return_successstringRedirect URL for successful order.

Tip: Field parameters info

Response

{
  "request_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
}
NameTypeDescription
request_idstringCreated request's ID.

Order list GET

Return all patner orders info.

Endpoint

GET https://switchere.com/api/v3/partner/order/list

Parameters

NameTypeDescription
pageintegerPage number.
rowsintegerAmount of rows returned per page.
timestampunix_timestamp_stringSelect orders created only from a ceratin timestamp.

Response

{
  "rows": 50,
  "total": 110,
  "data": [
    {
      "created_at": "1763194869.324230",
      "partner_order_id": "9c077655-xxxx-xxxx-xxxx-a7ff776856f4",
      "status": "expired"
    }
  ...
  ]
}
NameTypeDescription
rowsintegerAmount of rows returned per page.
totaltintegerOverall amount of rows.
dataarrayArray objects contain: created_at, status and partner_order_id.

TIP

  • created_at - timestamp
  • status - order status
  • partner_order_id - external order id

Order data GET

Returns the data of a specific patner order.

Endpoint

GET https://switchere.com/api/v3/partner/order/{partner_order_id}

Parameters

NameTypeDescription
partner_order_id requiredstringUnique partner order id.

Response

{
  "channel": "card",
  "client_country": "US",
  "client_email": "[email protected]",
  "client_nice_id": "XXXXXXXX",
  "client_order_id": "XXXXX-XXXXXX",
  "country_by_ip": "US",
  "created_at": "1786309195.365966",
  "dst_address": "3MMn....vpJE",
  "expected_payin_amount": "150.000000000000000000",
  "expected_payout_amount": "0.002118740000000000",
  "finished_at": "1786309859.000000",
  "mode": "buy",
  "partner_order_id": "01ff1f6a-xxxx-xxxx-xxxx-1c8e18eeb7ea",
  "payin_amount": "150.000000000000000000",
  "payin_currency": "USD",
  "payout_amount": "0.002107260000000000",
  "payout_currency": "BTC",
  "payout_txid": "1340....bccb",
  "status": "finished",
  "status_log": [
    {
      "at": "1786309195.000000",
      "status": "payin_pending"
    },
    {
      "at": "1786309859.000000",
      "status": "finished"
    }
  ]
}
NameTypeDescription
modemodePayment mode.
channelchannelPayment channel.
client_emailstringClient email.
client_nice_idstringUnique client id.
partner_order_idstringUnique partner order id.
client_order_idstringUnique client order id.
payin_amountfloatPayin amount.
expected_payin_amountfloatExpected payin amount.
payout_amountfloatPayout amount.
expected_payout_amountfloatExpected payout amount.
payin_currencycurrencyPayin currency.
payout_currencycurrencyPayout currency.
payout_txidstringTXID of payout transaction.
statusorderStatusCurrent status of order.
dst_addressstringWallet address where Switchere will send cryptocurrency.
dst_taginteger[0..4294967295]Tag for XRP address.
memo_idstringMEMO_ID for EOS address.
memo_typestringMEMO_TYPE for XLM address.
memo_valuestringMEMO_VALUE for XLM address.
client_countrycountry codeClient registration country.
country_by_ipcountry codeClient last login country by IP.
created_atunix_timestamp_stringTimestamp when order was created.
finished_atunix_timestamp_stringTimestamp when order was finished.
status_logorder status logOrder status log.

Tip: Field parameters info

Order fee POST

Return data about partner fee for order.

Endpoint

POST https://switchere.com/api/v3/partner/fee

Parameters

NameTypeDescription
mode requiredmodePayment mode.
channel requiredchannelPayment channel.
payin_currency requiredcurrencyPayin currency.
payout_currency requiredcurrencyPayout currency.
payin_amount requiredfloatPayin amount.

Tip: Field parameters info

Response

{
  "network_fee": "string",
  "payin_amount": "string",
  "payin_max_amount": "string",
  "payin_min_amount": "string",
  "payout_amount": "string",
  "rate": "string",
  "service_fee": "string",
}
NameTypeDescription
payin_amountstringPayin amount.
payin_min_amountstringPayin minimal amount.
payin_max_amountstringPayin maximal amount.
payout_amountstringPayout amount.
ratestringRate payin_currency/payout_currency.
network_feestringNetwork fee in payout currency.
service_feestringService fee in payin currency.

Order fee buy POST

Return data about partner fee for buy crypto order.

Endpoint

POST https://switchere.com/api/v3/partner/fee/buy

Parameters

NameTypeDescription
payin_currency requiredcurrencyPayin currency. Required only fiat.
payin_amount requiredfloatPayin amount.
payout_currency requiredcurrencyPayout currency. Required only crypto.

Tip: Field parameters info

Response

{
  "...": {
    "network_fee": "string",
    "payin_amount": "string",
    "payin_max_amount": "string",
    "payin_min_amount": "string",
    "payout_amount": "string",
    "rate": "string",
    "service_fee": "string",
  }
}
NameTypeDescription
...dict of dictsPayin channel -> { Fee data for this Payin channel } .

Order fee sell POST

Return data about partner fee for sell crypto order.

Endpoint

POST https://switchere.com/api/v3/partner/fee/sell

Parameters

NameTypeDescription
payin_currency requiredcurrencyPayin currency. Required only crypto.
payin_amount requiredfloatPayin amount.
payout_currency requiredcurrencyPayout currency. Required only fiat.

Tip: Field parameters info

Response

{
  "...": {
    "network_fee": "string",
    "payin_amount": "string",
    "payin_max_amount": "string",
    "payin_min_amount": "string",
    "payout_amount": "string",
    "rate": "string",
    "service_fee": "string",
  }
}
NameTypeDescription
...dict of dictsPayout channel -> { Fee data for this Payout channel } .



TIP

Also see field parameters

Last Updated: